Loading...
Searching...
No Matches
pappso::PeptideSemiEnzyme Class Reference

cut a regular peptide obtained with an enzyme at any position from Nter or Cter More...

`#include <peptidesemienzyme.h>`

Inheritance diagram for pappso::PeptideSemiEnzyme:

## Public Member Functions

| PeptideSemiEnzyme ()
virtual | ~PeptideSemiEnzyme ()
void | setPeptide (std::int8_t sequence_database_id, const ProteinSp &protein_sp, bool is_decoy, const QString &peptide, unsigned int start, bool is_nter, unsigned int missed_cleavage_number, bool semi_enzyme) override
| function to give the products of a protein digestion by an enzyme
void | setSink (EnzymeProductInterface *sink) override

## Private Attributes

EnzymeProductInterface * | m_sink = nullptr

## Detailed Description

cut a regular peptide obtained with an enzyme at any position from Nter or Cter

WORK IN PROGRESS

Definition at line 39 of file peptidesemienzyme.h.

## Constructor & Destructor Documentation

## PeptideSemiEnzyme()

pappso::PeptideSemiEnzyme::PeptideSemiEnzyme | ( |  | ) |

Definition at line 30 of file peptidesemienzyme.cpp.

{
}

## ~PeptideSemiEnzyme()

pappso::PeptideSemiEnzyme::~PeptideSemiEnzyme | ( |  | ) |

virtual

Definition at line 34 of file peptidesemienzyme.cpp.

{
}

## Member Function Documentation

## setPeptide()

void pappso::PeptideSemiEnzyme::setPeptide | ( | std::int8_t | sequence_database_id,
|  | const ProteinSp & | protein_sp,
|  | bool | is_decoy,
|  | const QString & | peptide,
|  | unsigned int | start,
|  | bool | is_nter,
|  | unsigned int | missed_cleavage_number,
|  | bool | semi_enzyme )

override virtual

function to give the products of a protein digestion by an enzyme

Parameters

  sequence_database_id | integer that references the sequence fatabase (file, stream, url...)
  protein_sp | shared pointer on the protein that was digested
  is_decoy | tell if the current protein is a decoy (true) or normal (false) protein
  peptide | amino acid sequence of the peptide (string) produced by the digestion
  start | the position of the first amino acid of the peptide in the original protein sequence. the first amino acid of the protein is at position 1.
  is_nter | boolean to tell if the peptide is an Nter peptide (to allow Methionin Nter removal)
  missed_cleavage_number | number of missed cleavage sites (that the enzyme has not cut) fot the product
  semi_enzyme | boolean that tells if this peptide is the produce of a semi enzymatic lysis

Implements pappso::EnzymeProductInterface.

Definition at line 39 of file peptidesemienzyme.cpp.

{
// if (start == 1) {
// m_sink->setPeptide(protein_sp, peptide, start);
// 2 begin
// size = 6
// i=5
//}
if(semi_enzyme)
{
throw ExceptionNotPossible(
QObject::tr("ERROR : semi_ensyme flag is true.\n This is not possible, "
"because only PeptideSemiEnzyme is autorized to set it "
"true, and this can not be used several times."));
}
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide,
start,
is_nter,
missed_cleavage_number,
false); // transmits orignal peptide
unsigned int max = peptide.size();
// unsigned int maxi = max-1;
for(unsigned int i = 1; i < max; i++)
{
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide.left(i),
start,
is_nter,
missed_cleavage_number,
true);
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide.right(i),
start + (max - i),
false,
missed_cleavage_number,
true);
}
}
pappso::PeptideSemiEnzyme::m_sink
EnzymeProductInterface * m_sink
Definition peptidesemienzyme.h:65
pappso::Enums::XicExtractMethod::max
@ max
maximum of intensities
Definition types.h:280

References m_sink.

## setSink()

void pappso::PeptideSemiEnzyme::setSink | ( | EnzymeProductInterface * | sink | ) |

inline override virtual

Implements pappso::PeptideSinkInterface.

Definition at line 58 of file peptidesemienzyme.h.

{
m_sink = sink;
};

References m_sink.

## Member Data Documentation

## m_sink

EnzymeProductInterface* pappso::PeptideSemiEnzyme::m_sink = nullptr

private

Definition at line 65 of file peptidesemienzyme.h.

Referenced by setPeptide(), and setSink().

The documentation for this class was generated from the following files:

- pappsomspp/core/protein/peptidesemienzyme.h
- pappsomspp/core/protein/peptidesemienzyme.cpp